Subject: bug#51073: 28.0.60; SIGSYS in emacs-tests/bwrap/allows-stdout

From: Philipp Stephani <[email-masked]>
Date: Sat, 22 Jan 2022 17:20:32 +0100

Am Fr., 21. Jan. 2022 um 15:14 Uhr schrieb Basil L. Contovounesios
<[email-masked]>:
>
> Basil L. Contovounesios [2021-10-11 21:39 +0100] wrote:
>
> > close 51073 28.1
> > quit
> >
> > Philipp Stephani [2021-10-09 19:43 +0200] wrote:
> >
> >> I've pushed a new rule to emacs-28 (commit b497add971). At least for
> >> me that fixes the test. Does it work for you as well?
> >
> > Yes, works fine here.  Thanks!
>
> After a several month hiatus from Emacs development, I'm now getting two
> SIGSYS failures in 'make test/emacs-tests' again on both emacs-28 and
> master (ERT backtraces and configuration info follow my signature).
>
> This time, 'sudo journalctl -g SECCOMP' mentions the following:
>
>   Jan 21 15:47:02 tia audit[138481]: SECCOMP auid=1000 uid=1000 gid=1000
>     ses=2 subj==unconfined pid=138481 comm="emacs"
>     exe="/home/blc/.local/src/emacs-nox/src/emacs" sig=31 arch=c000003e
>     syscall=17 compat=0 ip=0x7fd745f3714a code=0x80000000
>
>   Jan 21 15:47:03 tia audit[138493]: SECCOMP auid=1000 uid=1000 gid=1000
>     ses=2 subj==unconfined pid=138493 comm="emacs"
>     exe="/home/blc/.local/src/emacs-nox/src/emacs" sig=31 arch=c000003e
>     syscall=439 compat=0 ip=0x7f46e8c30fc0 code=0x80000000
>
> where AFAICT syscalls 17 and 439 correspond to pread64 and faccessat2,
> respectively.

Thanks, I added these syscalls to the filter shipped with Emacs
(commit 6d3608be88e1b30d2d10ee81f14dd485275c20ff).